version: '3'
services:
  zookeeper:
    image: zookeeper:3.6.2
    container_name: zookeeper
    hostname: zookeeper
    ports:
      - "2181"
    environment:
      ZOO_MY_ID: 1
      ZOO_SERVERS: server.1=zookeeper:2888:3888;2181
  nifi1:
    image: apache/nifi:1.15.0
    ports:
      - 8080:8080
    environment:
      #- NIFI_ZK_CONNECT_STRING=172.17.19.132:21811,172.17.19.132:21812,172.17.19.132:21813
      - NIFI_ZK_CONNECT_STRING=zookeeper:2181
      - NIFI_CLUSTER_IS_NODE=true
      - NIFI_WEB_HTTP_HOST=nifi1
      - NIFI_CLUSTER_NODE_PROTOCOL_PORT=8082
      - NIFI_ELECTION_MAX_WAIT=1 min
      - NIFI_SENSITIVE_PROPS_KEY=akshdjasjkabsfkjasbf
      - NIFI_WEB_HTTP_PORT=8080
      #- NIFI_WEB_HTTPS_HOST=localhost
      #- SINGLE_USER_CREDENTIALS_USERNAME=admin 
      #- SINGLE_USER_CREDENTIALS_PASSWORD=docker
    #volumes:
      #- ../Sources:/home/nifi
      #- ./content_repository:/opt/nifi/nifi-current/database_repository
      #- ./flowfile_repository:/opt/nifi/nifi-current/flowfile_repository
      #- ./content_repository:/opt/nifi/nifi-current/content_repository
      #- ./provenance_repository:/opt/nifi/nifi-current/provenance_repository
      #- ./state:/opt/nifi/nifi-current/state
      #- ./logs:/opt/nifi/nifi-current/logs

